> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aryn.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Docsets

> List all DocSets in the system.

Returns:
    list[DocSetMetadata]: A list of DocSet metadata objects

Note:
    Will be paginated in v2



## OpenAPI

````yaml api-reference/endpoint/platform/openapi.json get /v1/storage/docsets
openapi: 3.1.0
info:
  title: Aryn Platform API
  version: 0.1.0
servers:
  - url: https://api.aryn.cloud
    description: US Region
  - url: https://api.aryn.ai
    description: US Region
  - url: https://api.us.aryn.cloud
    description: US Region
  - url: https://api.us.aryn.ai
    description: US Region
security: []
paths:
  /v1/storage/docsets:
    get:
      tags:
        - DocSet
      summary: List Docsets
      description: |-
        List all DocSets in the system.

        Returns:
            list[DocSetMetadata]: A list of DocSet metadata objects

        Note:
            Will be paginated in v2
      operationId: list_docsets_v1_storage_docsets_get
      parameters:
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            default: 100
            title: Page Size
        - name: page_token
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Page Token
        - name: name_eq
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Name Eq
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````